Reemplazar presupuesto en borrador
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/quotes/{quote_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 1,
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount": {
"type": "percentage",
"value": 50
}
}
],
"price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesperson_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-12-25",
"global_discount_amount": 1,
"notes": "<string>"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/quotes/{quote_id}"
payload = {
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 1,
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount": {
"type": "percentage",
"value": 50
}
}
],
"price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesperson_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-12-25",
"global_discount_amount": 1,
"notes": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
items: [
{
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_price: 1,
warehouse_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
discount: {type: 'percentage', value: 50}
}
],
price_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
salesperson_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expires_at: '2023-12-25',
global_discount_amount: 1,
notes: '<string>'
})
};
fetch('https://api.lapyme.com.ar/api/v1/quotes/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "quote",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"formatted_number": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"converted_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservation": {
"status": "active",
"reserved_through_date": "2023-12-25"
},
"subtotal": 1,
"tax_amount": 1,
"discount_amount": 1,
"total": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"salesperson_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prices_include_tax": true,
"expires_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"items": [
{
"object": "quote_line",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 1,
"discount": {
"type": "percentage",
"value": 1
}
}
],
"idempotent_replay": true
},
"warnings": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_quantity": 123,
"available_quantity": 123
}
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud o Idempotency-Key inválidos",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scope quotes:write faltante",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Presupuesto o referencia no encontrados",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de idempotencia o presupuesto fuera de estado borrador",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "No se pudo reservar stock por una condición de negocio",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Reemplazar presupuesto en borrador
Reemplaza todos los datos mutables de un presupuesto en borrador, recalcula sus importes y ajusta su reserva en una transacción. Requiere Idempotency-Key.
PUT
/
api
/
v1
/
quotes
/
{quote_id}
Reemplazar presupuesto en borrador
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
ID del presupuesto
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
Was this page helpful?

